package com.leromro.common.enums;

/**
 * 区域结算状态枚举
 */
public enum AreaSettlementStatusEnum {
    /**
     * 未结算
     */
    PENDING_SETTLEMENT(10, "未结算"),
    /**
     * 审核中
     */
    PENDING_AUDIT(20, "审核中"),
    /**
     * 审核未通过
     */
    REJECTED(30, "审核未通过"),
    /**
     * 打款中
     */
    PENDING_PAYMENT(40, "打款中"),

    /**
     * 已结算
     */
    SETTLED(50, "已结算");



    private final Integer code;
    private final String message;

    AreaSettlementStatusEnum(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
